Skip to main content
MSRC ppDocument Template
Bulletin de sécurité Microsoft MS15-125 - Critique

Mise à jour de sécurité cumulative pour Microsoft Edge (3116184)

Date de publication : 8 décembre 2015 | Date de mise à jour : 16 décembre 2015

Version : 1.1

Cette mise à jour de sécurité corrige des vulnérabilités dans Microsoft Edge. La plus grave de ces vulnérabilités pourrait permettre l'exécution de code à distance si un utilisateur affichait une page web spécialement conçue à l'aide de Microsoft Edge. Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Les clients dont les comptes sont configurés avec des privilèges moins élevés sur le système peuvent subir un impact inférieur à ceux possédant des privilèges d'administrateur.

Cette mise à jour de sécurité est de niveau « Critique » pour Microsoft Edge sous Windows 10. Pour plus d'informations, consultez la section Logiciels concernés.

Cette mise à jour corrige les vulnérabilités en :

  • modifiant la manière dont Microsoft Edge traite les objets en mémoire ;
  • veillant à ce que Microsoft Edge applique correctement les types de contenus ;
  • veillant à ce que Microsoft Edge traite correctement les exceptions lors de la répartition de de certains messages de fenêtre
  • corrigeant la façon dont Microsoft Edge analyse les réponses HTTP ;
  • ajoutant des validations d'autorisations à Microsoft Edge ;
  • empêchant le filtre XSS dans Microsoft Edge de désactiver de manière inappropriée des attributs HTML.

Pour plus d'informations sur les vulnérabilités, consultez la section Informations par vulnérabilité.

Pour plus d'informations sur cette mise à jour, voir l' Article 3116184 de la Base de connaissances Microsoft.

Les versions ou éditions répertoriées ci-dessous sont concernées. Les versions ou éditions non répertoriées ont atteint la fin de leur cycle de vie ou ne sont pas concernées. Consultez le site web Politique de Support Microsoft afin de connaître la politique de support Microsoft pour votre version ou édition.

Logiciels concernés 

Système d'exploitation

Composant

Impact de sécurité maximal

Indice de gravité cumulée

Mises à jour remplacées

Microsoft Edge

Windows 10 pour systèmes 32 bits[1]
(3116869)

Microsoft Edge

Exécution de code à distance

Critique

3105213 dans MS15-113

Windows 10 pour systèmes x64[1]
(3116869)

Microsoft Edge

Exécution de code à distance

Critique

3105213 dans MS15-113

Windows 10 Version 1511 pour systèmes 32 bits[1]
(3116900)

Microsoft Edge

Exécution de code à distance

Critique

3105211 dans MS15-113

Windows 10 Version 1511 pour systèmes x64[1]
(3116900)

Microsoft Edge

Exécution de code à distance

Critique

3105211 dans MS15-113

[1]Les mises à jour de Windows 10 sont cumulatives. Outre des mises à jour non liées à la sécurité, elles contiennent également l'ensemble des correctifs de sécurité pour toutes les vulnérabilités concernant Windows 10 fournis dans la mise à jour de sécurité mensuelle. Les mises à jour sont disponibles via le catalogue Microsoft Update.

Remarque Windows Server Technical Preview 3 et Windows Server Technical Preview 4 sont affectés. Les clients exécutant ces systèmes d'exploitation sont invités à appliquer cette mise à jour qui est disponible via Windows Update

Les indices de gravité suivants considèrent l'impact potentiel maximal de la vulnérabilité. Pour plus d'informations sur les risques dans les 30 jours suivant la publication d'un Bulletin concernant l'exploitabilité de la vulnérabilité par rapport à son indice de gravité et à son impact, consultez l'Indice d'exploitabilité dans la synthèse des Bulletins de sécurité de décembre.

Le cas échéant, dans le tableau Indices de gravité et impact, les valeurs « Critique », « Important » et « Modéré » correspondent aux indices de gravité. Pour plus d'informations, consultez l'article consacré au système d'indices de gravité pour les Bulletins de sécurité. Reportez-vous à la légende suivante afin de connaître les abréviations utilisées dans le tableau pour indiquer l'impact maximal :

Abréviation

Impact maximal

RCE

Exécution de code à distance

EoP

Élévation de privilèges

ID

Divulgation d'informations

SFB

Contourner la fonctionnalité de sécurité

 

Indices de gravité par vulnérabilité et impact

Numéro CVE

Titre de la vulnérabilité

Microsoft Edge

CVE-2015-6139

Vulnérabilité d'élévation de privilèges dans le navigateur Microsoft

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

CVE-2015-6140

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6142

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6148

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6151

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6153

Vulnérabilité de corruption de mémoire dans Microsoft Edge

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6154

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6155

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6158

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6159

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

Clients Windows :
Critique/RCE

Serveurs Windows :
Modéré/RCE

CVE-2015-6161

Contournement d'ASLR dans le navigateur Microsoft

Clients Windows :
Important/SFB

Serveurs Windows :
Faible/SFB

CVE-2015-6168

Vulnérabilité de corruption de mémoire dans Microsoft Edge

Clients Windows :
Critique/RCE
(Windows 10 Version 1511 pas affecté)

Serveurs Windows :
Modéré/RCE

CVE-2015-6169

Vulnérabilité d'usurpation dans Microsoft Edge

Clients Windows :
Important/Usurpation d'identité

Serveurs Windows :
Faible/Usurpation d'identité

CVE-2015-6170

Vulnérabilité d'élévation de privilèges dans Microsoft Edge

Clients Windows :
Important/EoP

Serveurs Windows :
Faible/EoP

CVE-2015-6176

Vulnérabilité de contournement de filtre XSS dans Microsoft Edge

Clients Windows :
Modéré/ID

Serveurs Windows :
Faible/ID

Vulnérabilités de corruption de mémoire dans Microsoft Edge

Il existe plusieurs vulnérabilités d'exécution de code à distance lorsque Microsoft Edge accède de façon incorrecte à des objets en mémoire. Les vulnérabilités pourraient corrompre la mémoire en permettant à un attaquant d'exécuter du code arbitraire dans le contexte de l'utilisateur actuel.

Un attaquant pourrait héberger un site web spécialement conçu pour exploiter les vulnérabilités via Microsoft Edge, puis inciter un utilisateur à consulter ce site. L'attaquant pourrait également exploiter des sites web compromis et des sites web qui acceptent ou hébergent du contenu ou des annonces provenant d'utilisateurs qui pourraient contenir du code spécialement conçu susceptible d'exploiter les vulnérabilités. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. Il devrait convaincre l'utilisateur de le faire, généralement par le biais d'une sollicitation envoyée par message électronique ou message instantané, ou en l'incitant à ouvrir une pièce jointe à un message électronique.

Un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait obtenir les mêmes droits que l'utilisateur actuel. Si l'utilisateur actuel a ouvert une session avec des droits d'administrateur, un attaquant qui parviendrait à exploiter ces vulnérabilités pourrait prendre le contrôle d'un système affecté. L'attaquant pourrait alors installer des programmes, afficher, modifier ou supprimer des données, ou créer des comptes dotés de tous les privilèges. Cette mise à jour corrige les vulnérabilités en modifiant la façon dont Microsoft Edge traite les objets en mémoire.

Le tableau suivant contient des liens vers l'entrée standard correspondant à chaque vulnérabilité dans la liste Common Vulnerabilities and Exposures (CVE) :

Titre de la vulnérabilité

Numéro CVE

Révélée publiquement

Exploitée

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6140

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6142

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6148

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6151

Non

Non

Vulnérabilité de corruption de mémoire dans Microsoft Edge

CVE-2015-6153

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6154

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6155

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6158

Non

Non

Vulnérabilité de corruption de mémoire dans le navigateur Microsoft

CVE-2015-6159

Non

Non

Vulnérabilité de corruption de mémoire dans Microsoft Edge

CVE-2015-6168

Non

Non

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour ces vulnérabilités.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour ces vulnérabilités.

Vulnérabilité d'élévation de privilèges dans le navigateur Microsoft – CVE-2015-6139

Une vulnérabilité de privilège survient lorsque Microsoft Edge n'applique pas correctement les types de contenus. Un attaquant qui parviendrait à exploiter la vulnérabilité pourrait exécuter du script arbitraire avec des privilèges élevés.

Dans le cas d'une attaque web, l'attaquant devrait héberger un site web conçu pour tenter d'exploiter cette vulnérabilité. En outre, les sites web compromis et les sites web qui acceptent ou hébergent du contenu provenant d'utilisateurs pourraient contenir du contenu spécialement conçu pour exploiter cette vulnérabilité. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. L'attaquant devrait convaincre les utilisateurs d'exécuter une action. Par exemple, l'attaquant pourrait inciter l'utilisateur à cliquer sur un lien qui mène à son site. Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait élever des privilèges dans les versions affectées de Microsoft Edge.

La mise à jour corrige la vulnérabilité en veillant à ce que Microsoft Edge applique correctement les types de contenus. Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter cette vulnérabilité.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Contournement d'ASLR dans le navigateur Microsoft – CVE-2015-6161

Un contournement de la fonctionnalité de sécurité existe dans Microsoft Edge et résulte de la manière dont les exceptions sont traitées lors de la répartition de certains messages de fenêtre, ce qui permet à un attaquant d'explorer le format de l'espace d'adresse et d'ainsi contourner la randomisation du format d'espace d'adresse (ASLR). Le contournement d'ASLR proprement dit ne permet pas d'exécuter du code arbitraire. Toutefois, un attaquant pourrait utiliser ce contournement d'ASLR en combinaison avec une autre vulnérabilité, telle qu'une vulnérabilité d'exécution de code à distance, pour exécuter du code arbitraire sur un système cible. Une exploitation réussie du contournement d'ASLR nécessite qu'un utilisateur ouvre une session et exécute une version affectée de Microsoft Edge. L'utilisateur devrait ensuite accéder à un site malveillant.

La mise à jour résout le problème du contournement d'ASLR en veillant à ce que Microsoft Edge traite correctement les exceptions lors de la répartition de certains messages de fenêtre.

Microsoft a été informée de ce contournement par une divulgation coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter ce contournement.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Vulnérabilité d'usurpation d'identité dans Microsoft Edge – CVE-2015-6169

Une vulnérabilité d'usurpation d'identité survient lorsque Miscrosoft Edge n'analyse pas correctement les réponses HTTP. Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait tromper un utilisateur en le redirigeant vers un site web spécialement conçu. Le site web spécialement conçu pourrait usurper du contenu ou être utilisé comme pivot pour lier une attaque à d'autres vulnérabilités des services web.

Pour exploiter la vulnérabilité, l'utilisateur doit cliquer sur une URL spécialement conçue. Dans le cas d'une attaque par courrier électronique, un attaquant pourrait envoyer un message électronique contenant l'URL spécialement conçue à l'utilisateur pour tenter de convaincre celui-ci de cliquer dessus.

Dans le cas d'une attaque web, l'attaquant pourrait héberger un site web spécialement conçu pour sembler légitime aux yeux de l'utilisateur. Cependant, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à visiter le site web spécialement conçu. L'attaquant devrait convaincre l'utilisateur de le faire, généralement par le biais d'une sollicitation envoyée par message électronique ou message instantané, puis l'inciter à interagir avec le contenu du site web.

La mise à jour corrige la vulnérabilité en modifiant la manière dont Microsoft Edge analyse les réponses HTTP. Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter cette vulnérabilité.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Vulnérabilité d'élévation de privilèges dans le navigateur Microsoft – CVE-2015-6170

Une vulnérabilité d'élévation de privilèges survient lorsque Microsoft Edge ne valide pas correctement les autorisations dans des conditions spécifiques, permettant potentiellement l'exécution de script avec des privilèges élevés.

Dans le cas d'une attaque web, l'attaquant devrait héberger un site web conçu pour tenter d'exploiter cette vulnérabilité. En outre, les sites web compromis et les sites web qui acceptent ou hébergent du contenu provenant d'utilisateurs pourraient contenir du contenu spécialement conçu pour exploiter cette vulnérabilité. Toutefois, l'attaquant n'aurait aucun moyen de forcer l'utilisateur à afficher le contenu contrôlé par l'attaquant. L'attaquant devrait convaincre les utilisateurs d'exécuter une action. Par exemple, l'attaquant pourrait inciter l'utilisateur à cliquer sur un lien qui mène à son site. Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait élever des privilèges dans les éditions affectées de Microsoft Edge.

Cette mise à jour corrige les vulnérabilités en ajoutant des validations d'autorisations à Microsoft Edge. Microsoft a été informée de cette vulnérabilité par une divulgation de vulnérabilité coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter cette vulnérabilité.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Vulnérabilité de contournement de filtre XSS dans Microsoft Edge – CVE-2015-6176

Il existe une vulnérabilité de contournement de filtre XSS dans la façon dont Microsoft Edge désactive un attribut HTML dans des données de réponse HTTP pourtant filtrées correctement. Cette vulnérabilité pourrait permettre à des scripts initialement désactivés de s'exécuter dans le mauvais contexte de sécurité, induisant une divulgation d'informations.

Un attaquant peut publier sur un site web spécialement conçu du contenu visant à exploiter la vulnérabilité. Ensuite, l'attaquant devrait convaincre l'utilisateur d'afficher le contenu sur le site web concerné. Si l'utilisateur parcourt alors le site web, le filtre XSS désactive des attributs HTML dans le contenu spécialement conçu, créant une condition qui pourrait permettre au script malveillant de s'exécuter dans le mauvais contexte de sécurité, induisant une divulgation d'informations.

Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait forcer l'exécution d'un script sur le système d'un autre utilisateur sous couvert d'un site web tiers. Un tel script s'exécuterait dans le navigateur lors de la visite du site web tiers et pourrait exécuter toute action sur le système de l'utilisateur où le site web tiers a été autorisé. Cette vulnérabilité ne pourrait être exploitée que si l'utilisateur cliquait sur un lien hypertexte, dans un message électronique au format HTML ou si l'utilisateur visitait un site web de l'attaquant ou un site web dont le contenu est sous le contrôle de l'attaquant.

Cette mise à jour corrige la vulnérabilité en empêchant le filtre XSS dans Microsoft Edge de désactiver de manière inappropriée des attributs HTML. Microsoft a été informée de cette vulnérabilité par une divulgation coordonnée. Au moment de la publication initiale de ce bulletin de sécurité, Microsoft n'était au courant d'aucune attaque visant à exploiter cette vulnérabilité.

Facteurs atténuants

Microsoft n'a identifié aucun facteur atténuant pour cette vulnérabilité.

Solutions de contournement

Microsoft n'a identifié aucune solution de contournement pour cette vulnérabilité.

Pour plus d'informations sur le déploiement des mises à jour de sécurité, consultez l'article de la Base de connaissances Microsoft référencé ici dans la synthèse.

Microsoft reconnaît les efforts des professionnels de la sécurité qui contribuent à protéger les clients par une divulgation coordonnée des vulnérabilités. Reportez-vous à la page Remerciements pour plus d'informations.

Les informations contenues dans la Base de connaissances Microsoft sont fournies « en l'état », sans garantie d'aucune sorte. Microsoft exclut toute garantie expresse ou implicite, notamment toute garantie de qualité et d'adéquation à un usage particulier. En aucun cas, la société Microsoft ou ses fournisseurs ne pourront être tenus pour responsables de quelque dommage que ce soit, y compris toute perte de bénéfices directe, indirecte ou accessoire, ou de dommages spéciaux, même si la société Microsoft a été prévenue de l'éventualité de tels dommages. Certains pays n'autorisent pas l'exclusion ou la limitation de responsabilité pour les dommages indirects ou accessoires, de sorte que la restriction mentionnée ci-dessus peut ne pas vous concerner.

  • V1.0 (8 décembre 2015) : Bulletin publié.
  • V1.1 (16 décembre 2015) : Mise à jour de la description de la vulnérabilité CVE-2015-6161 afin de décrire plus précisément le contournement d'ASLR. Il s'agit d'une modification purement informative. Les clients ayant déjà installé la mise à jour de sécurité 3116869 ou 3116900 ne doivent pas entreprendre de nouvelle action.
Page générée le 16/12/2015 14:13:-08:00.